/**
 * Module dependencies
 */

var url = require('url');

var Controller = function Controller() {
  this.request = null;
  this.response = null;
};

Controller.prototype.handle = function(func) {
  this[func.name] = function () {
    var args = Array.prototype.slice.call(arguments)
      , len = args.length
      , _params;

    this.request = args[len - 2];
    this.response = args[len - 1];

    _params = url.parse(this.request.url, true).query;

    func.call(this, _params);
  };
};

Controller.prototype.render = function (content) {
  this.response.write(content);
};

exports = module.exports = Controller;