/**
 * Module dependencies
 */

var path = require('path')
  , url = require('url');

exports = module.exports = function router(options) {

  return function router(req, res, next) {
    var app = require(path.join(process.env.PWD, 'app'))
      , action
      , controller
      , pathname = url.parse(req.url, true).pathname
      , responder = app.routes[pathname]
      , resSplit;

    if (typeof responder === "undefined") {
      // no matching route defined
      return next();
    }

    resSplit = responder.split('#');
    if (resSplit.length !== 2) {
      // invalid controller/action
      return next();
    }

    controller = resSplit[0] + "_controller";
    action = resSplit[1];

    app.controllers[controller][action](req, res);
    next();
  };
};